# KDChartFrameAttributes.h File Reference

`#include <QDebug>`
`#include <QMetaType>`
`#include <QPen>`
`#include "KDChartGlobal.h"`

Include dependency graph for KDChartFrameAttributes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::FrameAttributes &)
| Q_DECLARE_TYPEINFO (KDChart::FrameAttributes, Q_MOVABLE_TYPE)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::FrameAttributes & |
| ) |

Definition at line 124 of file KDChartFrameAttributes.cpp.

References KDChart::FrameAttributes::isVisible(), KDChart::FrameAttributes::padding(), and KDChart::FrameAttributes::pen().

    00125 {
    00126     dbg << "KDChart::FrameAttributes("
    00127         << "visible="<<fa.isVisible()
    00128         << "pen="<<fa.pen()
    00129         << "padding="<<fa.padding()
    00130         << ")";
    00131     return dbg;
    00132 }

Q_DECLARE_TYPEINFO | ( | KDChart::FrameAttributes | ,
|  | Q_MOVABLE_TYPE |
| ) |